
 


 ----------------------------- 
 -----------------------------
 --DATA
 -----------------------------
  -----------------------------
set search_path to tree; 
 
 SELECT tree.create_tree('t1','test tree 1');
 SELECT tree.add_root_node('t1',1);
 SELECT tree.add_child_node(1,2);
 SELECT tree.add_child_node(1,3);
 SELECT tree.add_child_node(1,4);
 
 SELECT tree.add_child_node(2,5);
 
 SELECT tree.add_child_node(4,6);
 SELECT tree.add_child_node(4,7);
 
 SELECT tree.add_child_node(5,8);
 
 SELECT tree.set_node_name(1,'root');
 SELECT tree.set_node_name(2,'1-2');
 SELECT tree.set_node_name(3,'1-3'); 
 SELECT tree.set_node_name(4,'1-4');  
 SELECT tree.set_node_name(5,'1-2-5');  
 SELECT tree.set_node_name(6,'1-4-6');  
 SELECT tree.set_node_name(7,'1-4-7');  
 SELECT tree.set_node_name(8,'1-2-5-8');   
 
 
 SELECT tree.create_tree('t2','test tree 2');
 SELECT tree.add_root_node('t2',1);
 
 
 SELECT tree.create_tree('t3','test tree 3');
 SELECT tree.add_orphan_node('t3',1);
 SELECT tree.add_orphan_node('t3',2);
 SELECT tree.add_orphan_node('t3',3);
 SELECT tree.add_orphan_node('t3',4);
 SELECT tree.add_orphan_node('t3',5);
 SELECT tree.add_orphan_node('t3',6); 
 SELECT tree.add_orphan_node('t3',7);
 SELECT tree.add_orphan_node('t3',8);

SELECT tree.set_parentship(14,15);
SELECT tree.set_parentship(13,14);
SELECT tree.set_parentship(11,12);
SELECT tree.set_parentship(11,13);
SELECT tree.set_root_node(11);
 
 





SELECT tree.create_tree('t4', 'test strange');

SELECT tree.add_named_orphan_node('t4','n1',1);
SELECT tree.add_named_orphan_node('t4','n2',1);
SELECT tree.add_named_orphan_node('t4','n3',1);
SELECT tree.add_named_orphan_node('t4','n4',1);
SELECT tree.add_named_orphan_node('t4','n5',1);
SELECT tree.add_named_orphan_node('t4','n6',1);


SELECT tree.set_parentship('t4','n1','n2');
SELECT tree.set_parentship('t4','n2','n3');
SELECT tree.set_parentship('t4','n3','n4');
SELECT tree.set_parentship('t4','n4','n5');
SELECT tree.set_parentship('t4','n5','n3');

SELECT tree.set_root_node('t4','n1');




SELECT tree.create_tree('t5','test tree 5');
SELECT tree.add_named_orphan_node('t5','s1',1);
SELECT tree.add_named_orphan_node('t5','s2',1);
SELECT tree.add_named_orphan_node('t5','s3',1);
SELECT tree.add_named_orphan_node('t5','s4',1);
SELECT tree.add_named_orphan_node('t5','s5',1);
SELECT tree.add_named_orphan_node('t5','s6',1);
SELECT tree.add_named_orphan_node('t5','s7',1);
SELECT tree.add_named_orphan_node('t5','s8',1);
SELECT tree.add_named_orphan_node('t5','s9',1);
SELECT tree.add_named_orphan_node('t5','s10',1);


SELECT tree.set_root_node('t5','s1');
SELECT tree.set_parentship('t5','s1','s2');
SELECT tree.set_parentship('t5','s1','s3');
SELECT tree.set_parentship('t5','s2','s4');
SELECT tree.set_parentship('t5','s4','s5');
SELECT tree.set_parentship('t5','s5','s6');
SELECT tree.set_parentship('t5','s6','s7');
SELECT tree.set_parentship('t5','s7','s8');
SELECT tree.set_parentship('t5','s6','s9');
SELECT tree.set_parentship('t5','s9','s10');



--SELECT tree.set_root_node('s1');

 drop table public.tree_data CASCADE;
 create table public.tree_data (id serial primary key, f1 varchar);
 insert into public.tree_data values (default,'test 1');
 insert into public.tree_data values (default,'test 2');
 insert into public.tree_data values (default,'test 3');
 insert into public.tree_data values (default,'test 4');
 insert into public.tree_data values (default,'test 5');
 insert into public.tree_data values (default,'test 6');
 insert into public.tree_data values (default,'test 7');
 insert into public.tree_data values (default,'test 8');
 insert into public.tree_data values (default,'test 9');
 insert into public.tree_data values (default,'test 10');
 insert into public.tree_data values (default,'test 12');
 insert into public.tree_data values (default,'test 13');
 --insert into public.tree_data values (default,'test 14');
 --insert into public.tree_data values (default,'test 15');
 --insert into public.tree_data values (default,'test 16');
 --insert into public.tree_data values (default,'test 17');
 --insert into public.tree_data values (default,'test 18');
 --insert into public.tree_data values (default,'test 19');
 --insert into public.tree_data values (default,'test 20');






--SELECT * FROM tree.tree_node order by id;


GRANT USAGE ON SCHEMA rtree_util TO PUBLIC;
GRANT USAGE ON SCHEMA rtree TO PUBLIC;
GRANT SELECT ON rtree_util.tree_node_metadata TO PUBLIC;
GRANT SELECT ON rtree_util.tree_node TO PUBLIC;
GRANT SELECT ON rtree_util.tree TO PUBLIC;


SELECT tree.add_user_to_role('t1','user1','r1');
SELECT tree.add_user_to_role('t1','user1','r2');
SELECT tree.add_user_to_role('t1','user2','r1');
SELECT tree.add_user_to_role('t1','user3','r1');
SELECT tree.add_user_to_role('t5','user1','r2');
SELECT tree.add_user_to_role('t5','user2','r1');

--SELECT tree.add_node_to_role('t1','root','r1');
--SELECT tree.add_node_to_role('t1','1-2','r1');
SELECT tree.add_node_to_role('t1',2,'r1');
--SELECT tree.add_node_to_role('t1','1-3','r1');
--SELECT tree.add_node_to_role('t1','1-4','r1');
--SELECT tree.add_node_to_role('t1','1-2-5','r1');
--SELECT tree.add_node_to_role('t1','1-4-6','r1');
--SELECT tree.add_node_to_role('t1','1-4-7','r1');
SELECT tree.add_node_to_role('t1','1-2-5-8','r1');


--SELECT tree.add_node_to_role('t1','root','r2');
SELECT tree.add_node_to_role('t1','1-2','r2');
SELECT tree.add_node_to_role('t1','1-3','r2');
SELECT tree.add_node_to_role('t1','1-4','r2');
SELECT tree.add_node_to_role('t1','1-2-5','r2');
--SELECT tree.add_node_to_role('t1','1-4-6','r2');
--SELECT tree.add_node_to_role('t1','1-4-7','r2');
SELECT tree.add_node_to_role('t1','1-2-5-8','r2');